//////////////////////////////////////////////////////////////////////
// PatchWise Core Engine API for Delphi
//
// Copyright(c) 2003 Hanmen Software, Inc.
// All rights reserved.
//
// This source code can only be used under the terms and conditions 
// outlined in the accompanying license agreement.
//
// support@hanmen.com
// http://www.hanmen.com
//////////////////////////////////////////////////////////////////////

unit pwce2a;

interface

uses

// Import functions from pwce2a.dll

procedure	PwaEnableThreadMode(bEnable: integer); stdcall;
function	PwaSetThreadPriority(nPriority: integer): integer; stdcall;
function	PwaApplyPatch(pszPatchFilePath: LPCSTR; pszOriginalFilePath: LPCSTR; pszOutputFilePath: LPCSTR): integer; stdcall;
function	PwaGetRunningStatus(): integer; stdcall;

implementation

procedure	PwaEnableThreadMode; external 'PWCE2A.DLL';
function	PwaSetThreadPriority; external 'PWCE2A.DLL';
function	PwaApplyPatch; external 'PWCE2A.DLL';
function	PwaGetRunningStatus; external 'PWCE2A.DLL';

end.
