//////////////////////////////////////////////////////////////////////
// PatchWise Core Engine API for Delphi
//
// Copyright(c) 2003 Hanmen Software, Inc.
// All rights reserved.
//
// This source code can only be used under the terms and conditions 
// outlined in the accompanying license agreement.
//
// support@hanmen.com
// http://www.hanmen.com
//////////////////////////////////////////////////////////////////////

unit pwce2g;

interface

uses

// Import functions from pwce2g.dll

procedure	PwgSetMaxMemoryUsage(nMegabytes: interger); stdcall;
procedure	PwgSetSpeedLevel(nSpeed: interger); stdcall;
procedure	PwgEnableThreadMode(bEnable: integer); stdcall;
procedure	PwgEnableChecksum(bEnable: integer); stdcall;
function	PwgSetThreadPriority(nPriority: integer): integer; stdcall;
function	PwgGeneratePatch(pszOriginalFilePath: LPCSTR; pszModifiedFilePath: LPCSTR; pszPatchFilePath: LPCSTR): integer; stdcall;
function	PwgGetRunningStatus(): integer; stdcall;

implementation

procedure	PwgSetMaxMemoryUsage; external 'PWCE2G.DLL';
procedure	PwgSetSpeedLevel; external 'PWCE2G.DLL';
procedure	PwgEnableThreadMode; external 'PWCE2G.DLL';
procedure	PwgEnableChecksum; external 'PWCE2G.DLL';
function	PwgSetThreadPriority; external 'PWCE2G.DLL';
function	PwgGeratePatch; external 'PWCE2G.DLL';
function	PwgGetRunningStatus; external 'PWCE2G.DLL';

end.
